Login | Register For Free | Help
Search for: (Advanced)

Mailing List Archive: atrpms: devel

Anyone using F17?

 

 

atrpms devel RSS feed   Index | Next | Previous | View Threaded


promac at gmail

Jun 30, 2012, 5:09 AM

Post #1 of 4 (584 views)
Permalink
Anyone using F17?

Hi,


after sometime trying to use F17,
I know of some nasty problems lurking around:

1) applications using gtk2 may crash (e.g., vlc)
2) libpng 1.5 hide some structures from applications,
and the compilation fails (e.,g. povray)
3) module-init-tools is gone (deprecated by kmod),
and all kmdls do not install

I can stay with F14/rhel6 for a long time or
we can try to fix whatever we can.

Is anybody really using F17 in ATrpms?


--
Paulo Roma Cavalcanti
LCG - UFRJ


briandlong at gmail

Jun 30, 2012, 9:27 AM

Post #2 of 4 (548 views)
Permalink
Re: Anyone using F17? [In reply to]

When CentOS 5 was getting long in the tooth, I upgraded my backend to
Fedora 16 and I regret doing so. I should have stuck with SL 6. I've not
played with F17 on my workstation since I prefer the enterprise releases.

/Brian/

On Sat, Jun 30, 2012 at 8:09 AM, Paulo Cavalcanti <promac [at] gmail> wrote:

>
> Hi,
>
>
> after sometime trying to use F17,
> I know of some nasty problems lurking around:
>
> 1) applications using gtk2 may crash (e.g., vlc)
> 2) libpng 1.5 hide some structures from applications,
> and the compilation fails (e.,g. povray)
> 3) module-init-tools is gone (deprecated by kmod),
> and all kmdls do not install
>
> I can stay with F14/rhel6 for a long time or
> we can try to fix whatever we can.
>
> Is anybody really using F17 in ATrpms?
>
>
> --
> Paulo Roma Cavalcanti
> LCG - UFRJ
>
> _______________________________________________
> atrpms-devel mailing list
> atrpms-devel [at] atrpms
> http://lists.atrpms.net/mailman/listinfo/atrpms-devel
>


promac at gmail

Jun 30, 2012, 11:59 AM

Post #3 of 4 (546 views)
Permalink
Re: Anyone using F17? [In reply to]

On Sat, Jun 30, 2012 at 1:27 PM, Brian Long <briandlong [at] gmail> wrote:

> When CentOS 5 was getting long in the tooth, I upgraded my backend to
> Fedora 16 and I regret doing so. I should have stuck with SL 6. I've not
> played with F17 on my workstation since I prefer the enterprise releases.
>
> /Brian/
>
> On Sat, Jun 30, 2012 at 8:09 AM, Paulo Cavalcanti <promac [at] gmail>wrote:
>
>>
>> Hi,
>>
>>
>> after sometime trying to use F17,
>> I know of some nasty problems lurking around:
>>
>> 1) applications using gtk2 may crash (e.g., vlc)
>> 2) libpng 1.5 hide some structures from applications,
>> and the compilation fails (e.,g. povray)
>> 3) module-init-tools is gone (deprecated by kmod),
>> and all kmdls do not install
>>
>> I can stay with F14/rhel6 for a long time or
>> we can try to fix whatever we can.
>>
>> Is anybody really using F17 in ATrpms?
>>
>>

I just installed F17 on a brand new I7 computer.
I have the old computer (with F14) and the new one side by side, and just
switch
between them in the monitor source (fortunately it has two outputs: a dvi
and a vga).

Gnome 3 is really awkward, and systemd, well, it is better not to say what
I thought of it....
kde seems the same to me, and I think it is time to forget about gnome ...
Gnome3 seems as a big iphone to me, but lacking the Apple product polishing
and the
appropriate hardware. Every tweak takes a long time, mainly because the
configuration
tools are not installed by default or simply do not exist ...

Anyway, I was able to force the installation of the nvidia kmdl and had to
install
pyxf86config-0.3.37-10.fc15.x86_64.rpm from F16, because it is gone on F17.

Then I blacklisted nouveau in /etc/default/grub and recreated the grub2
config file.
Well, at least I am using the nvidia driver now and google-earth is at
full power again.



--
Paulo Roma Cavalcanti
LCG - UFRJ


promac at gmail

Jul 2, 2012, 4:22 AM

Post #4 of 4 (546 views)
Permalink
Re: Anyone using F17? [In reply to]

On Sat, Jun 30, 2012 at 3:59 PM, Paulo Cavalcanti <promac [at] gmail> wrote:

>
>
> On Sat, Jun 30, 2012 at 1:27 PM, Brian Long <briandlong [at] gmail> wrote:
>
>> When CentOS 5 was getting long in the tooth, I upgraded my backend to
>> Fedora 16 and I regret doing so. I should have stuck with SL 6. I've not
>> played with F17 on my workstation since I prefer the enterprise releases.
>>
>> /Brian/
>>
>> On Sat, Jun 30, 2012 at 8:09 AM, Paulo Cavalcanti <promac [at] gmail>wrote:
>>
>>>
>>> Hi,
>>>
>>>
>>> after sometime trying to use F17,
>>> I know of some nasty problems lurking around:
>>>
>>> 1) applications using gtk2 may crash (e.g., vlc)
>>> 2) libpng 1.5 hide some structures from applications,
>>> and the compilation fails (e.,g. povray)
>>> 3) module-init-tools is gone (deprecated by kmod),
>>> and all kmdls do not install
>>>
>>> I can stay with F14/rhel6 for a long time or
>>> we can try to fix whatever we can.
>>>
>>> Is anybody really using F17 in ATrpms?
>>>
>>>
>
> I just installed F17 on a brand new I7 computer.
> I have the old computer (with F14) and the new one side by side, and just
> switch
> between them in the monitor source (fortunately it has two outputs: a dvi
> and a vga).
>
> Gnome 3 is really awkward, and systemd, well, it is better not to say what
> I thought of it....
> kde seems the same to me, and I think it is time to forget about gnome ...
> Gnome3 seems as a big iphone to me, but lacking the Apple product
> polishing and the
> appropriate hardware. Every tweak takes a long time, mainly because the
> configuration
> tools are not installed by default or simply do not exist ...
>
> Anyway, I was able to force the installation of the nvidia kmdl and had to
> install
> pyxf86config-0.3.37-10.fc15.x86_64.rpm from F16, because it is gone on F17.
>
> Then I blacklisted nouveau in /etc/default/grub and recreated the grub2
> config file.
> Well, at least I am using the nvidia driver now and google-earth is at
> full power again.
>
>
>
To fix the kmod dependency is quite simple.

One has only to edit the file /etc/rpm/macros.kmdl

and change:

Requires: /sbin/depmod, modutils >= 2.4.14\

for

Requires: /sbin/depmod, kmod >= 7\


That is it. Rebuilt kmdls will install just fine...


--
Paulo Roma Cavalcanti
DCC - UFRJ

atrpms devel RSS feed   Index | Next | Previous | View Threaded
 
 


Interested in having your list archived? Contact Gossamer Threads
 
  Web Applications & Managed Hosting Powered by Gossamer Threads Inc.